org.apache.uima.camel

## Class UimaAsComponent

- java.lang.Object
- - org.apache.camel.support.ServiceSupport
  - - org.apache.camel.impl.DefaultComponent
    - - org.apache.uima.camel.UimaAsComponent

- All Implemented Interfaces:
    org.apache.camel.CamelContextAware, org.apache.camel.Component, org.apache.camel.Service, org.apache.camel.ShutdownableService, org.apache.camel.StatefulService, org.apache.camel.SuspendableService

      public class UimaAsComponent
      extends org.apache.camel.impl.DefaultComponent

  Defines the UIMA-AS camel driver component.

- - ### Field Summary

    - ### Fields inherited from class org.apache.camel.support.ServiceSupport

      `shutdown, shuttingdown, started, starting, stopped, stopping, suspended, suspending`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UimaAsComponent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.camel.Endpoint` | `createEndpoint(String uri, String remaining, Map parameters)`

    - ### Methods inherited from class org.apache.camel.impl.DefaultComponent

      `afterConfiguration, createComponentConfiguration, createConfiguration, createEndpoint, doStart, doStop, getAndRemoveOrResolveReferenceParameter, getAndRemoveOrResolveReferenceParameter, getAndRemoveParameter, getAndRemoveParameter, getCamelContext, ifStartsWithReturnRemainder, isResolvePropertyPlaceholders, preProcessUri, resolveAndRemoveReferenceListParameter, resolveAndRemoveReferenceListParameter, resolveAndRemoveReferenceParameter, resolveAndRemoveReferenceParameter, setCamelContext, setProperties, setProperties, setResolvePropertyPlaceholders, useIntrospectionOnEndpoint, useRawUri, validateParameters, validateURI`

    - ### Methods inherited from class org.apache.camel.support.ServiceSupport

      `doResume, doShutdown, doSuspend, getStatus, getVersion, isRunAllowed, isStarted, isStarting, isStopped, isStopping, isStoppingOrStopped, isSuspended, isSuspending, isSuspendingOrSuspended, resume, shutdown, start, stop, suspend`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UimaAsComponent

          public UimaAsComponent()

  - ### Method Detail

    - #### createEndpoint

          protected org.apache.camel.Endpoint createEndpoint(String uri,
                                                             String remaining,
                                                             Map parameters)
                                                      throws Exception

      Specified by:
        `createEndpoint` in class `org.apache.camel.impl.DefaultComponent`
      Throws:
        `Exception`

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.